<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvSizing - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <style>
    .ex-highlight {
      background-color: #6494ed7c;
      border: 1px solid #43639e;
    }
  </style>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Sizing</h1>
      <h3>Width</h3>

      <div class="ex-highlight">
        <div class="nv-w-5 nv-p-3 ex-highlight">Width 5%</div>
        <div class="nv-w-10 nv-p-3 ex-highlight">Width 10%</div>
        <div class="nv-w-15 nv-p-3 ex-highlight">Width 15%</div>
        <div class="nv-w-20 nv-p-3 ex-highlight">Width 20%</div>
        <div class="nv-w-25 nv-p-3 ex-highlight">Width 25%</div>
        <div class="nv-w-30 nv-p-3 ex-highlight">Width 30%</div>
        <div class="nv-w-35 nv-p-3 ex-highlight">Width 35%</div>
        <div class="nv-w-40 nv-p-3 ex-highlight">Width 40%</div>
        <div class="nv-w-45 nv-p-3 ex-highlight">Width 45%</div>
        <div class="nv-w-50 nv-p-3 ex-highlight">Width 50%</div>
        <div class="nv-w-55 nv-p-3 ex-highlight">Width 55%</div>
        <div class="nv-w-60 nv-p-3 ex-highlight">Width 60%</div>
        <div class="nv-w-65 nv-p-3 ex-highlight">Width 65%</div>
        <div class="nv-w-70 nv-p-3 ex-highlight">Width 70%</div>
        <div class="nv-w-75 nv-p-3 ex-highlight">Width 75%</div>
        <div class="nv-w-80 nv-p-3 ex-highlight">Width 80%</div>
        <div class="nv-w-85 nv-p-3 ex-highlight">Width 85%</div>
        <div class="nv-w-90 nv-p-3 ex-highlight">Width 90%</div>
        <div class="nv-w-95 nv-p-3 ex-highlight">Width 95%</div>
        <div class="nv-w-100 nv-p-3 ex-highlight">Width 100%</div>
        <div class="nv-w-auto nv-p-3 ex-highlight">Width auto</div>
      </div>
    </div>

    <div class="area-component">
      <h3>Height</h3>

      <div class="ex-highlight" style="height: 250px;">
        <div class="nv-h-5 nv-d-inline-block ex-highlight">Height 5%</div>
        <div class="nv-h-10 nv-d-inline-block ex-highlight">Height 10%</div>
        <div class="nv-h-15 nv-d-inline-block ex-highlight">Height 15%</div>
        <div class="nv-h-20 nv-d-inline-block ex-highlight">Height 20%</div>
        <div class="nv-h-25 nv-d-inline-block ex-highlight">Height 25%</div>
        <div class="nv-h-30 nv-d-inline-block ex-highlight">Height 30%</div>
        <div class="nv-h-35 nv-d-inline-block ex-highlight">Height 35%</div>
        <div class="nv-h-40 nv-d-inline-block ex-highlight">Height 40%</div>
        <div class="nv-h-45 nv-d-inline-block ex-highlight">Height 45%</div>
        <div class="nv-h-50 nv-d-inline-block ex-highlight">Height 50%</div>
      </div>

      <div class="ex-highlight" style="height: 250px;">
        <div class="nv-h-55 nv-d-inline-block ex-highlight">Height 55%</div>
        <div class="nv-h-60 nv-d-inline-block ex-highlight">Height 60%</div>
        <div class="nv-h-65 nv-d-inline-block ex-highlight">Height 65%</div>
        <div class="nv-h-70 nv-d-inline-block ex-highlight">Height 70%</div>
        <div class="nv-h-75 nv-d-inline-block ex-highlight">Height 75%</div>
        <div class="nv-h-80 nv-d-inline-block ex-highlight">Height 80%</div>
        <div class="nv-h-85 nv-d-inline-block ex-highlight">Height 85%</div>
        <div class="nv-h-90 nv-d-inline-block ex-highlight">Height 90%</div>
        <div class="nv-h-95 nv-d-inline-block ex-highlight">Height 95%</div>
        <div class="nv-h-100 nv-d-inline-block ex-highlight">Height 100%</div>
      </div>
      
      <div class="ex-highlight" style="height: 250px;">
        <div class="nv-h-auto nv-d-inline-block ex-highlight">Height auto</div>
      </div>      
    </div>

    <div class="area-component">
      <h3>Max Height</h3>      
      <div class="ex-highlight" style="height: 250px;">
        <div class="nv-mh-100 nv-d-inline-block ex-highlight" style="height: 300px">Max-height 100%</div>
      </div>      
    </div>
  </div>
</body>
</html>
 